<!DOCTYPE html>
<html lang="en" ng-app="mainApp">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
  <title>Fitness Tool</title>
  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="./node_modules/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome CSS -->
  <link rel="stylesheet" href="./node_modules/@fortawesome/fontawesome-free/css/all.min.css">
  <!-- slick carousel -->
  <link rel="stylesheet" href="./node_modules/slick-carousel/slick/slick.css">
  <link rel="stylesheet" href="./node_modules/slick-carousel/slick/slick-theme.css">
  <!-- boostrap ui-->
  <link rel="stylesheet" href="./node_modules/angular-ui-bootstrap/dist/ui-bootstrap-csp.css">
  <!--toastr CSS-->
  <link rel="stylesheet" href="./node_modules/toastr/build/toastr.css">
  <!--full calendar CSS-->
  <link rel="stylesheet" href="./node_modules/fullcalendar/dist/fullcalendar.min.css">
  <!--  Own stylesheet -->
  <link rel="stylesheet" href="./css/main_style.css">

  <script src="./node_modules/jquery/dist/jquery.min.js"></script>
  <!-- Latest compiled and minified JavaScript -->
  <script src="./node_modules/bootstrap/dist/js/bootstrap.min.js"></script>
  <!--AngularJs -->
  <script src="./node_modules/angular/angular.min.js"></script>
  <!--Angular Route (ngRoute) -->
  <script src="./node_modules/angular-route/angular-route.min.js"></script>
  <!-- slick carousel-->
  <script src="./node_modules/slick-carousel/slick/slick.js"></script>
  <!-- boostrap ui-->
  <script src="./node_modules/angular-ui-bootstrap/dist/ui-bootstrap-tpls.js"></script>
  <!-- drag and drop lib -->
  <script src="./node_modules/angular-drag-and-drop-lists/angular-drag-and-drop-lists.js"></script>
  <!-- toastr -->
  <script src="./node_modules/toastr/build/toastr.min.js"></script>
  <!-- socket io-->
  <script src="./node_modules/socket.io-client/dist/socket.io.js"></script>
  <!-- moment -->
  <script src="./node_modules/moment/min/moment.min.js"></script>
  <!-- full calendar-->
  <script src="./node_modules/fullcalendar/dist/fullcalendar.min.js"></script>
  <script src="./node_modules/fullcalendar/dist/gcal.min.js"></script>
  <!-- angular ui calendar-->
  <script src="./node_modules/angular-ui-calendar/src/calendar.js"></script>
  <!-- angular-prompt-->
  <script src="./node_modules/angular-prompt/dist/angular-prompt.min.js"></script>
  <!-- own JS code -->
  <script src="./js/Constants.js"></script>
  <script src="./js/Index.js"></script>
  <script src="./js/RecordModalController.js"></script>
  <script src="./js/HomeController.js"></script>
  <script src="./js/RunController.js"></script>
  <script src="./js/HistoryController.js"></script>
  <script src="./js/ProgramEditionController.js"></script>
  <script src="./js/SummaryController.js"></script>
</head>

<body>
  <section ng-controller="HeaderController" ng-cloak>
    <nav class="navbar navbar-inverse headerNavBar" style="-webkit-app-region: drag;">
      <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
          <a class="navbar-brand">Fitness Tool V1.4</a>
        </div>
        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
          <ul class="nav navbar-nav">
            <li ng-repeat="tab in ::tabList" ng-class="{'active':tab.active == true}" style="-webkit-app-region: no-drag;"><a>{{::tab.id}}</a></li>
          </ul>
          <ul class="nav navbar-nav navbar-right" style="-webkit-app-region: no-drag;">
            <li>
              <a class="navBarIcoLink">
                <i class="fas fa-server navBarIcon" ng-class="{'text-danger': !webSocketIsUp, 'text-success': webSocketIsUp}"></i>
              </a>
            </li>
            <li ng-if="runInElectron">
              <a class="navBarIcoLink" ng-click="minimize()">
                <span class="glyphicon glyphicon-minus navBarIcon" aria-hidden="true"></span>
              </a>
            </li>
            <li ng-if="runInElectron">
              <a class="navBarIcoLink" ng-click="close()">
                <span class="glyphicon glyphicon-remove navBarIcon" aria-hidden="true"></span>
              </a>
            </li>
          </ul>
        </div> <!-- /.navbar-collapse -->
      </div> <!-- /.container-fluid -->
    </nav>
  </section>
  <!--/section -->
  <!-- Tab/Page specific content-->
  <div ng-view></div>
</body>

</html>
